# Method: sampleProjects.list

- [HTTP request](https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects/list#body.request_body)
- [Response body](https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects/list#body.response_body)
  - [JSON representation](https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects/list#body.ListSampleProjectsResponse.SCHEMA_REPRESENTATION)
- [SampleProject](https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects/list#SampleProject)
  - [JSON representation](https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects/list#SampleProject.SCHEMA_REPRESENTATION)

Lists all the sample projects supported by the gactions CLI.

### HTTP request

`GET https://actions.googleapis.com/v2/sampleProjects`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of sample projects to return. The service may return fewer than this value. If unspecified, at most 1000 sample projects will be returned. Values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. A page token, received from a previous 'sampleProjects.list' call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
RPC response for sampleProjects.list.

| JSON representation ||
|---|---|
| ``` { "sampleProjects": [ { object (`https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects/list#SampleProject`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `sampleProjects[]` | ``object (`https://developers.google.com/assistant/actions/api/reference/rest/v2/sampleProjects/list#SampleProject`)`` The list of sample projects supported. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

## SampleProject

Definition of sample project resource.

| JSON representation ||
|---|---|
| ``` { "name": string, "hostedUrl": string, "description": string } ``` |

| Fields ||
|---|---|
| `name` | `string` The name of the sample project. Format: `sampleProjects/{sample_project}` |
| `hostedUrl` | `string` The URL to the zip file where the sample is hosted. |
| `description` | `string` The description of the sample project. |